
Showroom Mobile Banking - Feature #13382

Loan payment web service

18 March 2022 01:26 PM - David Wong

Status: Closed Start date: 18 March 2022

Priority: Normal Due date:  

Assignee: Hoo Dextor % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

Please share the Loan payment web service endpoint URL and also its request/response data.

History

#1 - 18 March 2022 02:09 PM - santhosh Krishna

WS : performLoanRepayment

URL : /cc_mib_ws/api/v1/ribms/performLoanRepayment

REQUEST: {

"accountNumber"":"123123",

"transactionAmount":28.60,

"transferToAccNumber"":"1231231",

"smsChargeAmount"":"",

"smsChargeGstAmount"":"",

"receipentSenderRefNo"":"",

"receipientSenderName"":"",

"otherPaymentDetails"":""

}

RESPONSE {

"responseStatus": "F1",

"currentBalance": 8733.2,

"obHeader": {

"statusCode": "0000000",

"maintenanceNoticeFlag": false,

"maintenanceUpfrontNoticeTime": 0,

"isBillPayment": false,

"isAutoCall": false

},

"obUser": {

"cifNumber": "290000063",

"identificationNumber": "940823-10-6364",

"identificationType": "IC",

"lastLoginDate": "18 Mar 2022 02:00 PM",

"loginId": "testdeposit2",

"mobileNumber": "0105043444",

"fullName": "DANIEL CHAN",

"isMach": false,

"tncFlag": false,

"lastLogoutDate": "18 Mar 2022 10:34 AM",

"rsaSecQueFlag": false,

"isFeeWaive": false,

"loginType": "",

"email": "testemail@gmail.com",

"appLanguage": "en",

"retrieveSMSLanguage": true,

"isBlockedForHighRisk": false,

"occupationCode": "",

"rsaDenyCount": 0,

"isRsaDeny": false,

"isUnderReview": false,

"caFpxFlag": "N"

},

"unreadMsgCount": 0,

"retrieveActivity": false
}

#2 - 18 March 2022 02:11 PM - santhosh Krishna

- Status changed from New to In Progress

#3 - 18 March 2022 03:05 PM - santhosh Krishna

- Status changed from In Progress to Feedback

- Assignee changed from santhosh Krishna to David Wong

#4 - 20 March 2022 03:17 PM - David Wong

- Status changed from Feedback to Resolved

- Assignee changed from David Wong to chok yee fan

#5 - 21 March 2022 10:15 AM - chok yee fan

- Status changed from Resolved to Assigned

- Assignee changed from chok yee fan to Wee Meng Soh

left menu add Loan under the Transfer & after Telegraphic Transfer, before Manage Fav Recipients

1) screen show following input fields

"accountNumber"":"123123",

"transactionAmount":28.60,

"transferToAccNumber"":"1231231",

"smsChargeAmount"":"",

"smsChargeGstAmount"":"",

"receipentSenderRefNo"":"",

"receipientSenderName"":"",

"otherPaymentDetails"":""

2) Then confirmation with tac, after confirm only call web service

3) Display success words with confirmation fields after call web service.

#6 - 21 March 2022 10:21 AM - chok yee fan

- File Screenshot 2022-03-21 at 10.21.23 AM.png added

#7 - 23 March 2022 04:44 PM - Wee Meng Soh

- File Screenshot 2022-03-23 at 4.36.45 PM.png added

- File Screenshot 2022-03-23 at 4.36.39 PM.png added

- Status changed from Assigned to Feedback

- Assignee changed from Wee Meng Soh to santhosh Krishna

Issue - Not Found status 404

Please help to check for this WS. Thanks
#8 - 23 March 2022 05:46 PM - santhosh Krishna

- Status changed from Feedback to Pending SIT 

- Assignee changed from santhosh Krishna to Wee Meng Soh

#9 - 28 March 2022 10:34 AM - Wee Meng Soh

- File Screenshot 2022-03-28 at 10.34.01 AM.png added

- Status changed from Pending SIT  to Resolved

- Assignee changed from Wee Meng Soh to Hoo Dextor

weemeng.soh: Feature #13382 Loan payment web service

#10 - 01 April 2022 11:04 AM - Wee Meng Soh

- Status changed from Resolved to Pending SIT 

Released Showroom MY SIT 1.0.0.10 in MY

#11 - 06 April 2022 10:40 AM - chok yee fan

- Status changed from Pending SIT  to Closed

Files

Screenshot 2022-03-21 at 10.21.23 AM.png 553 KB 21 March 2022 chok yee fan

Screenshot 2022-03-23 at 4.36.39 PM.png 231 KB 23 March 2022 Wee Meng Soh

Screenshot 2022-03-23 at 4.36.45 PM.png 254 KB 23 March 2022 Wee Meng Soh

Screenshot 2022-03-28 at 10.34.01 AM.png 477 KB 28 March 2022 Wee Meng Soh
